Automette docs

List forms

GET
/api/v1/forms

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from Settings → API Keys.

In: header

Query Parameters

status?string

Filter by publish state. Any value other than draft or published returns 422.

Value in

  • "draft"
  • "published"
limit?integer

1–100. Defaults to 20.

cursor?string

The next_cursor from the previous page.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/forms"
{  "forms": [    {      "id": "string",      "self": "http://example.com",      "title": "string",      "status": "draft",      "version": 0,      "public_url": "http://example.com",      "embed_url": "http://example.com",      "accepting_submissions": true,      "closed": true,      "closed_reason": "manual",      "closed_message": "string",      "archived": true,      "captcha": true,      "submission_count": 0,      "fields": [        {          "key": "string",          "type": "string",          "label": "string",          "required": true,          "description": "string",          "placeholder": "string",          "options": [            {              "value": "string",              "label": "string"            }          ],          "editable": true        }      ],      "heading": "string",      "description": "string",      "appearance": {        "background": "string",        "surface": "string",        "card": "card"      },      "submit_label": "string",      "sender_name": "string",      "notifications": {        "emails": [          "user@example.com"        ],        "reply_to_field": "string",        "include_document_link": true      },      "respondent_confirmation": {        "email_field": "string",        "subject": "string",        "message": "string",        "include_document": true,        "include_answers": true,        "reply_to": "user@example.com"      },      "limits": {        "close_at": "2019-08-24T14:15:22Z",        "max_submissions": 1,        "one_submission_per_device": true      },      "after_submit": {        "action": "show_page",        "redirect_url": "http://example.com"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}